Search App Conversation Start Tasks
curl --request GET \
--url https://api.example.com/api/v1/app-conversations/start-tasks/search \
--header 'X-Access-Token: <api-key>'import requests
url = "https://api.example.com/api/v1/app-conversations/start-tasks/search"
headers = {"X-Access-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Access-Token': '<api-key>'}};
fetch('https://api.example.com/api/v1/app-conversations/start-tasks/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_by_user_id": "<string>",
"request": {
"sandbox_id": "<string>",
"conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"initial_message": {
"role": "user",
"content": [
{
"text": "<string>",
"cache_prompt": false,
"type": "text"
}
],
"run": false
},
"system_message_suffix": "<string>",
"processors": [
{
"kind": "<string>",
"bitbucket_view_data": {},
"should_request_summary": true
}
],
"llm_model": "<string>",
"agent_profile_id": "<string>",
"selected_repository": "<string>",
"selected_branch": "<string>",
"suggested_task": {
"repo": "<string>",
"issue_number": 123,
"title": "<string>"
},
"title": "<string>",
"pr_number": [
123
],
"parent_conversation_id": "<string>",
"agent_type": "default",
"public": true,
"observability_metadata": {},
"observability_tags": [
"<string>"
],
"observability_span_name": "<string>",
"plugins": [
{
"source": "<string>",
"ref": "<string>",
"repo_path": "<string>",
"parameters": {}
}
],
"secrets": {}
},
"id": "<string>",
"status": "WORKING",
"detail": "<string>",
"app_conversation_id": "<string>",
"sandbox_id": "<string>",
"agent_server_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next_page_id": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Conversations
Search App Conversation Start Tasks
Search / List conversation start tasks.
GET
/
api
/
v1
/
app-conversations
/
start-tasks
/
search
Search App Conversation Start Tasks
Authorizations
Query Parameters
Available options:
CREATED_AT, CREATED_AT_DESC, UPDATED_AT, UPDATED_AT_DESC Required range:
x <= 100Was this page helpful?
⌘I

